package com.swago.baseswago.model.live.gift;

/**
 * @date 2021/12/11 16:47
 * description:
 */
public class IMGiftModel {

    /**
     * roomId : 112
     * senderId : 104
     * senderAvatar : https://swago-1304432552.cos.ap-hongkong.myqcloud.com/16349567031634956704965349.jpeg
     * senderName : swago
     * senderLevel : 0
     * senderCode : swago000032
     * receiverUserId : null
     * receiverName : swago
     * receiverAvatar :
     * giftId : 4
     * giftName : 金桂
     * giftIcon : https://swago-1304432552.cos.ap-hongkong.myqcloud.com/gift/30115.png
     * giftNum : 1
     * isCombo : 0
     * svga : https://swago-1304432552.cos.ap-hongkong.myqcloud.com/gift/30115.svga
     * incomeCount : 0
     * multiple : 1
     */

    private String roomId;
    private String senderId;
    private String senderAvatar;
    private String senderName;
    private String senderLevel;
    private String senderCode;
    private Object receiverUserId;
    private String receiverName;
    private String receiverAvatar;
    private String giftId;
    private String giftName;
    private String giftIcon;
    private String giftNum;
    private int isCombo;
    private String svga;
    private String incomeCount;
    private int multiple;
    private int giftType;

    public String getRoomId() {
        return roomId;
    }

    public void setRoomId(String roomId) {
        this.roomId = roomId;
    }

    public String getSenderId() {
        return senderId;
    }

    public void setSenderId(String senderId) {
        this.senderId = senderId;
    }

    public String getSenderAvatar() {
        return senderAvatar;
    }

    public void setSenderAvatar(String senderAvatar) {
        this.senderAvatar = senderAvatar;
    }

    public String getSenderName() {
        return senderName;
    }

    public void setSenderName(String senderName) {
        this.senderName = senderName;
    }

    public String getSenderLevel() {
        return senderLevel;
    }

    public void setSenderLevel(String senderLevel) {
        this.senderLevel = senderLevel;
    }

    public String getSenderCode() {
        return senderCode;
    }

    public void setSenderCode(String senderCode) {
        this.senderCode = senderCode;
    }

    public Object getReceiverUserId() {
        return receiverUserId;
    }

    public void setReceiverUserId(Object receiverUserId) {
        this.receiverUserId = receiverUserId;
    }

    public String getReceiverName() {
        return receiverName;
    }

    public void setReceiverName(String receiverName) {
        this.receiverName = receiverName;
    }

    public String getReceiverAvatar() {
        return receiverAvatar;
    }

    public void setReceiverAvatar(String receiverAvatar) {
        this.receiverAvatar = receiverAvatar;
    }

    public String getGiftId() {
        return giftId;
    }

    public void setGiftId(String giftId) {
        this.giftId = giftId;
    }

    public String getGiftName() {
        return giftName;
    }

    public void setGiftName(String giftName) {
        this.giftName = giftName;
    }

    public String getGiftIcon() {
        return giftIcon;
    }

    public void setGiftIcon(String giftIcon) {
        this.giftIcon = giftIcon;
    }

    public String getGiftNum() {
        return giftNum;
    }

    public void setGiftNum(String giftNum) {
        this.giftNum = giftNum;
    }

    public int getIsCombo() {
        return isCombo;
    }

    public void setIsCombo(int isCombo) {
        this.isCombo = isCombo;
    }

    public String getSvga() {
        return svga;
    }

    public void setSvga(String svga) {
        this.svga = svga;
    }

    public String getIncomeCount() {
        return incomeCount;
    }

    public void setIncomeCount(String incomeCount) {
        this.incomeCount = incomeCount;
    }

    public int getMultiple() {
        return multiple;
    }

    public void setMultiple(int multiple) {
        this.multiple = multiple;
    }

    public int getGiftType() {
        return giftType;
    }

    public void setGiftType(int giftType) {
        this.giftType = giftType;
    }
}
